/*-------------------------------------------------------------------------
 *
 * pmevent.h
 *	  routines for signaling the postmaster from users
 *
 *
 * Portions Copyright (c) 1996-2010, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 * $PostgreSQL: pgsql/src/include/storage/pmevent.h, Exp $
 *
 *-------------------------------------------------------------------------
 */
#ifndef PMEVENT_H
#define PMEVENT_H

/*
 * Postmaster event directory (relative to $PGDATA)
 */
#define PMEVENTDIR		"pg_event"

/*
 * Reasons for signaling the postmaster.  We can cope with simultaneous
 * signals for different reasons.  If the same reason is signaled multiple
 * times in quick succession, however, the postmaster is likely to observe
 * only one notification of it.  This is okay for the present uses.
 */
#define PMEVENT_PROMOTE_STANDBY		"promote_standby"

#define PMEventFilePath(path, eventdir, eventfile)	\
	snprintf(path, MAXPGPATH, "%s/%s", eventdir, eventfile)

/*
 * prototypes for functions in pmevent.c
 */
extern bool CheckPostmasterEvent(const char *eventfile);
extern void CleanupEventFiles(void);

#endif   /* PMEVENT_H */
